Subject: Monitoring a Google Search Appliance

From: "Scott Hiemstra" <[email-masked]>
Date: Wed, 1 Apr 2009 17:34:05 -0400

I found out through trial and error that simply monitoring HTTP and Ping on
a Google Search Appliance was not sufficient.  I came up with a very
effective config for monitoring the device, thought I would share in the
event anyone has one of these units in their shop.

Of course you will need to adjust the hostname (THE_HOSTNAME) and community
names (THE_COMMUNITY) to fit your environment but this should monitor and
alert as needed.

Host "Google" {
	graph:	yes
	hostname:	THE_HOSTNAME
	info:	Google Search Appliance
	note:	Google Search Appliance
	Service Ping
	Service TCP/HTTP
	Service UDP/SNMP {
		community:	THE_COMMUNITY
		eqvalue:	1
		graph:	no
		label:	Crawl
		messagedn:	The crawl on the GSA has stopped
		messageup:	The crawl on the GSA has resumed
		oid:		.1.3.6.1.4.1.11129.1.1.1.0
		uname:	Crawl
	}
	Service UDP/SNMP {
		community:	THE_COMMUNITY
		eqvalue:	0
		graph:	no
		label:	Disk
		messagedn:	The GSA is reporting a Disk Error
		messageup:	The GSA has recovered from the Disk Error
		oid:		.1.3.6.1.4.1.11129.1.3.1.1.0
		uname:	Disk
	}
	Service UDP/SNMP {
		community:	THE_COMMUNITY
		label:	Queries per Minute
		oid:		.1.3.6.1.4.1.11129.1.2.1.0
		sendnotify:	no
		uname:	Queries per Minute
	}
	Service UDP/SNMP {
		community:	THE_COMMUNITY
		eqvalue:	0
		graph:	no
		label:	System
		messagedn:	The GSA is reporting a System Error
		messageup:	The GSA has recovered from the System Error
		oid:		.1.3.6.1.4.1.11129.1.3.3.1.0
		uname:	System
	}
	Service UDP/SNMP {
		community:	THE_COMMUNITY
		eqvalue:	0
		graph:	no
		label:	Temperature
		messagedn:	The GSA is reporting a Temperature Error
		messageup:	The GSA has recovered from the Temperature
Error
		oid:		.1.3.6.1.4.1.11129.1.3.2.1.0
		uname:	Temperature
	}
}

Have fun,
Scott